Bug 165284 - shutdown failing since upgrade to 9
Summary: shutdown failing since upgrade to 9
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-19 00:40 UTC by Tim M
Modified: 2019-07-18 11:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim M 2012-02-19 00:40:01 UTC
Shutdown starts, syncing disks part succeeds, final power off should then occur, lots of messages appear on the screen regarding uhub (similar to startup messages perhaps), computer powers off then powers back on. Was not occurring on 8.2 and appeared only once upgraded to 9. I cannot get the full output of the messages but it appears as if some code change to relating to usb is preventing shutdown from completing.

How-To-Repeat: Attempt to shutdown.
Comment 1 Andriy Gapon freebsd_committer 2012-02-19 08:46:17 UTC
This looks like possibly an issue with improper Wakeup-On-LAN configuration on
your network interface.  Could you please double-check this theory?

-- 
Andriy Gapon
Comment 2 Tim M 2012-02-20 02:04:50 UTC
None of the wired ethernet sockets are used or even have a cable in. I
tried shutting down without my usb wifi and it still failed in the same way.
Comment 3 Tim M 2012-02-20 02:28:48 UTC
I've just realized I can get a successful shutdown by disabling PME in the
BIOS. Not sure if this is considered a solution or mere workaround though.

Thanks for your help.
Comment 4 Andriy Gapon freebsd_committer 2012-02-20 09:31:46 UTC
on 20/02/2012 04:28 Tim Matthews said the following:
> I've just realized I can get a successful shutdown by disabling PME in the BIOS.
> Not sure if this is considered a solution or mere workaround though.
> 
> Thanks for your help.

For the future references can you please let us know the exact names/placement
of the option(s) that you tweaked in the BIOS?
A digital camera screenshot would be nice too.
Thank you!
-- 
Andriy Gapon
Comment 5 Andriy Gapon freebsd_committer 2012-02-20 11:21:28 UTC
on 20/02/2012 12:48 Tim Matthews said the following:
> 
> Under 'Power Management Setup' , set 'PME Event Wake Up' to 'Disabled'

Google shows that people had this problem with other operating systems too, e.g.:
http://www.cableforum.co.uk/board/12/13534-pc-powers-itself-on.html
https://groups.google.com/group/alt.comp.hardware.pc-homebuilt/browse_thread/thread/1f69d6a467ca4768/a800fc7c30958e98?hl=en

-- 
Andriy Gapon
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:58:57 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 7 Andriy Gapon freebsd_committer 2019-07-18 11:27:46 UTC
A lot of time has passed, assume fixed.